/** @file ccp_tests.cpp
 *
 * @author Alexander Kamkin (kamkin@ispras.ru)
 */

#include <utils/testreg.h>

#include <ccp_scen.h>

using namespace cpptesk::examples::ccp;

CacheCoherenceScenario test;

TEST_REGISTRY_BEGIN
REGISTER_TEST(test, engine::fsm, "-nt -uerr=1")
TEST_REGISTRY_END

int main(int argc, char **argv)
{
    UNUSED_ARG(argc);
    UNUSED_ARG(argv);

    return localmain(cpptesk::ts::engine::fsm, test.getTestScenario(), argc, argv);
}
